# pętla iteracyjna for

polka_z_danymi = ( "Adam", 333, 1975, 195.8, 1977, True, 1974)

for pojedyncza_dana in polka_z_danymi:
    print("----Start bloku kodu dla pętli-------")
    
    if pojedyncza_dana == 333:
        print("** Kontynujemy, ale nic dalej dla tego elementu")
        # nie wykonujemy dalszych instrukji bloku kodu dla tego elementu
        # tylko przeskakujemy do kolejnego elementu kolekcji
        continue

    print(f" W bloku kodu pętli w środku {pojedyncza_dana=}")
    if pojedyncza_dana == 1974:
        print("* Jest data urodzenia - przerywam blok kodu")
        break
    else:
        print("Nie wiem, co to jest")

    print("--koniec bloku kodu pętli")

else:
    print("To się wykonuje tylko wtedy, kiedy cała pętla się wykona.")
    
print("KONIEC - po pętli lub po break")

